# -*- encoding: utf-8 -*-
# stub: n_plus_one_control 0.6.1 ruby lib

Gem::Specification.new do |s|
  s.name = "n_plus_one_control".freeze
  s.version = "0.6.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "http://github.com/palkan/n_plus_one_control/issues", "changelog_uri" => "https://github.com/palkan/n_plus_one_control/blob/master/CHANGELOG.md", "documentation_uri" => "http://github.com/palkan/n_plus_one_control", "homepage_uri" => "http://github.com/palkan/n_plus_one_control", "source_code_uri" => "http://github.com/palkan/n_plus_one_control" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["palkan".freeze]
  s.date = "2021-03-05"
  s.description = "\n    RSpec and Minitest matchers to prevent N+1 queries problem.\n\n    Evaluates code under consideration several times with different scale factors\n    to make sure that the number of DB queries behaves as expected (i.e. O(1) instead of O(N)).\n  ".freeze
  s.email = ["dementiev.vm@gmail.com".freeze]
  s.homepage = "http://github.com/palkan/n_plus_one_control".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "RSpec and Minitest matchers to prevent N+1 queries problem".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, [">= 1.10"])
    s.add_development_dependency(%q<rake>.freeze, [">= 13.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.5"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.9"])
    s.add_development_dependency(%q<factory_girl>.freeze, ["~> 4.8.0"])
  else
    s.add_dependency(%q<bundler>.freeze, [">= 1.10"])
    s.add_dependency(%q<rake>.freeze, [">= 13.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.5"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.9"])
    s.add_dependency(%q<factory_girl>.freeze, ["~> 4.8.0"])
  end
end
